<?php

module_load_include('inc','views','includes/base');
module_load_include('inc','views','includes/plugins');
module_load_include('inc','views','plugins/views_plugin_style');
module_load_include('inc','views','plugins/views_plugin_style_list');

/**
 * Admin settings callback
 */
class views_popup_plugin_style_views_popup_list extends views_plugin_style_list {
  function option_definition() {
    $options = parent::option_definition();

    $options['type'] = array('default' => 'ul');
    $options['views_popup_exclude'] = array('default' => 1);
    $options['views_popup_delay'] = array('default' => 500);
    $options['views_popup_reset_time'] = array('default' => 500);
    $options['views_popup_follow_mouse'] = array('default' => true);

    return $options;
  }

  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    $form['#theme'] = 'views_popup_ui_style_plugin_list';

    $handlers = $this->view->display['default']->handler->handlers['field'];

    foreach ($this->display->display_options['fields'] as $field => $field_info) {
      $safe = str_replace(array('][', '_', ' '), '-', $field);
      // the $id of the column for dependency checking.
      $id = 'edit-style-options-columns-' . $safe;

      $form['columns'][$field] = array();

      $field = $field_info['id'];

      $form['info'][$field]['name'] = array(
          '#type' => 'item',
          '#value' => t( $handlers[$field]->definition['group'].': '.$handlers[$field]->definition['title'].': '.$field_info['label']),
        );

      $form['info'][$field]['popup'] = array(
            '#type' => 'select',
            '#options' => array( 0 => 'List', 1 => 'Popup', 2 => 'Both' ),
            '#default_value' => $this->options['info'][$field]['popup'],
            '#process' => array('views_process_dependency'),
            '#dependency' => array($id => array($field)),
        );
    }

    foreach ($this->view->display['default']->display_options['fields'] as $key => $x) {
      $keys[]=$key;
    }

    $form['type'] = array(
      '#type' => 'radios',
      '#title' => t('List type'),
      '#options' => array( 'ul' => t('Unordered list'), 'ol' => t('Ordered list')),
      '#default_value' => $this->options['type'],
    );

    $form['views_popup_header'] = array(
      '#type' => 'textfield',
      '#title' => t('Header'),
      '#default_value' => $this->options['views_popup_header'],
      '#size' => 60,
      '#description' => t('Display at top of popup.')
    );

    $form['views_popup_footer'] = array(
      '#type' => 'textfield',
      '#title' => t('Footer'),
      '#default_value' => $this->options['views_popup_footer'],
      '#size' => 60,
      '#description' => t('Display at bottom of popup.')
    );

    $form['views_popup_class'] = array(
      '#type' => 'textfield',
      '#title' => t('CSS Class'),
      '#default_value' => $this->options['views_popup_class'],
      '#size' => 60,
      '#description' => t('CSS class for popup.')
    );
  }
}

/**
 * Theme views popup UI
 */
function theme_views_popup_ui_style_plugin_list($form) {
  $output = drupal_render($form['description_markup']);

  $header = array(
    t('Field'),
    t('Show In'),
  );
  $rows = array();
  foreach (element_children($form['columns']) as $id) {
    $row = array();
    $row[] = drupal_render($form['info'][$id]['name']);
    $row[] = drupal_render($form['info'][$id]['popup']);
    $rows[] = $row;
  }

  $output .= theme('table', $header, $rows);
  $output .= drupal_render($form);
  return $output;
}

